Bug 1016056 - camel-example-cxf-tomcat throws WARNING with exception when deployed
camel-example-cxf-tomcat throws WARNING with exception when deployed
Status: NEW
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Examples (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Keith Babo
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 08:15 EDT by Jiri Sedlacek
Modified: 2015-11-02 03:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
If you try to deploy the camel-example-cxf-tomcat quick start, you will encounter a warning with an exception. The example application will work, so impact on the user is minimal.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Sedlacek 2013-10-07 08:15:32 EDT
I've built the qs (with --settings=... pointing to trim repo), built successfully, but when deployed, following exception is in the log:

13:57:16,761 WARN  [org.jboss.as.ee] (MSC service thread 1-7) JBAS011006: Not installing optional component org.apache.cxf.transport.http.Servlet3ContinuationProvider$Servlet3Continuation due to exception: org.jboss.as.server.deployment.DeploymentUnitProcessingException: JBAS011054: Could not find default constructor for class org.apache.cxf.transport.http.Servlet3ContinuationProvider$Servlet3Continuation
	at org.jboss.as.ee.component.ComponentDescription$DefaultComponentConfigurator.configure(ComponentDescription.java:607) [jboss-as-ee-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	at org.jboss.as.ee.component.deployers.EEModuleConfigurationProcessor.deploy(EEModuleConfigurationProcessor.java:80) [jboss-as-ee-7.2.0.Final-redhat-8.jar:7.2.0.Final-redhat-8]
	at org.jboss.as.server.deployment.DeploymentUnitPhaseService.start(DeploymentUnitPhaseService.java:120)
	at org.jboss.msc.service.ServiceControllerImpl$StartTask.startService(ServiceControllerImpl.java:1811)
	at org.jboss.msc.service.ServiceControllerImpl$StartTask.run(ServiceControllerImpl.java:1746)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145) [rt.jar:1.7.0_21]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) [rt.jar:1.7.0_21]
	at java.lang.Thread.run(Thread.java:722) [rt.jar:1.7.0_21]


Example app seems to be working (according to readme.txt it does what's described there).
Comment 1 Gomathi Anandan 2014-10-24 14:38:05 EDT
Resetting the flags back to the state it was before Oct-24- 2PM. There was an incorrect bulk update that I'm trying to fix.
Comment 2 Keith Babo 2015-01-28 23:10:00 EST
This issue will need to be reevaluated within the context of Fuse 6.2 and Wildfly-Camel.  Some things to keep in mind:

- Will this application even be included any longer in Fuse 6.2?
- If so, does the original issue still exist or is it no longer valid?

I think we should reevaluate this issue once a decision has been made w/r/t which examples will ship with Wildfly-Camel for Fuse 6.2 on EAP.

Note You need to log in before you can comment on or make changes to this bug.